Bug 200198 - lockdep: skb_queue_lock_key, orinoco_send_wevents.
lockdep: skb_queue_lock_key, orinoco_send_wevents.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks: FCMETA_LOCKDEP
  Show dependency treegraph
 
Reported: 2006-07-26 01:41 EDT by Chris Ball
Modified: 2008-05-06 20:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:42:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (35.42 KB, text/plain)
2006-07-26 01:41 EDT, Chris Ball
no flags Details

  None (edit)
Description Chris Ball 2006-07-26 01:41:10 EDT
Think this is a new lockdep; seen after updating to 2432, on insertion of an
Orinoco PC Card.  Not immediately reproducible, and have been using other
kernels post-lockdep and haven't seen this before.

eth1: Station name "HERMES I"
eth1: ready
eth1: orinoco_cs at 0.0, irq 7, io 0xc100-0xc13f
ADDRCONF(NETDEV_UP): eth1: link is not ready
eth1: New link status: Disconnected (0002)

======================================================
[ INFO: hard-safe -> hard-unsafe lock order detected ]
------------------------------------------------------
events/0/5 [HC0[0]:SC0[0]:HE0:SE1] is trying to acquire:
 (&skb_queue_lock_key){-+..}, at: [<c05aab55>] skb_queue_tail+0x14/0x32

and this task is already holding:
 (&priv->lock#2){++..}, at: [<e05ea32f>] orinoco_send_wevents+0x1e/0x7b [orinoco
]
which would create a new lock dependency:
 (&priv->lock#2){++..} -> (&skb_queue_lock_key){-+..}

but this new dependency connects a hard-irq-safe lock:
 (&priv->lock#2){++..}
... which became hard-irq-safe at:
  [<c043be8b>] lock_acquire+0x4b/0x6c
  [<c0607417>] _spin_lock_irqsave+0x22/0x32
  [<e05ea3ce>] orinoco_interrupt+0x42/0xe29 [orinoco]
  [<c044fa14>] handle_IRQ_event+0x20/0x4d
  [<c044fad5>] __do_IRQ+0x94/0xef
  [<c040674c>] do_IRQ+0xb9/0xcd
  [<c0404a49>] common_interrupt+0x25/0x2c
  [<c040662f>] do_softirq+0x5a/0xbe

to a hard-irq-unsafe lock:
 (&skb_queue_lock_key){-+..}
... which became hard-irq-unsafe at:
...  [<c043be8b>] lock_acquire+0x4b/0x6c
  [<c0607118>] _spin_lock_bh+0x1e/0x2d
  [<c05e5095>] udp_poll+0x49/0xce
  [<c05a6248>] sock_poll+0x12/0x15
  [<c048237a>] do_sys_poll+0x1f7/0x3c3
  [<c048257a>] sys_poll+0x34/0x36
  [<c0403faf>] syscall_call+0x7/0xb

Attaching full dmesg.
Comment 1 Chris Ball 2006-07-26 01:41:10 EDT
Created attachment 133042 [details]
dmesg
Comment 2 Bug Zapper 2008-04-03 13:51:09 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 20:41:58 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.